Tpf.PersonaStore.list_persona_stores – folks-telepathy Reference Manual

# list_persona_stores

## Description:

public static unowned Map<string,PersonaStore> list_persona_stores ()

Get a map of all the currently constructed Tpf.PersonaStores.

If a Folks.BackendStore has been prepared, this map will be complete, containing every store known to the Telepathy account manager. If no Folks.BackendStore has been prepared, this map will only contain the stores which have been created by calling Tpf.PersonaStore.dup_for_account .

This map is read-only. Use Folks.BackendStore or Tpf.PersonaStore.dup_for_account to add stores.

## Returns:

map from Folks.PersonaStore.id to Tpf.PersonaStore

## Since:

0.6.6